Node('fibrestick.psi.ch',
     'stick with laser fibre',
)

Mod('sea_stick',
    'frappy_psi.sea.SeaClient',
    'SEA stick connection',
    config='fibre.stick',
    service='stick',
)

Mod('ts',
    'frappy_psi.sea.SeaReadable', '',
    meaning=['temperature', 30],
    io='sea_stick',
    sea_object='tt',
    json_file='ma11.config.json',
    rel_paths=['ts'],
)

Mod('laser_io',
    'frappy_psi.pdld.IO',
    'laser IO',
    uri='serial:///dev/serial/by-path/pci-0000:00:14.0-usb-0:4.4.4.2:1.0-port0?baudrate=9600',
)

Mod('laser',
    'frappy_psi.pdld.Laser',
    'laser switch',
    io='laser_io',
)

Mod('laser_power',
    'frappy_psi.pdld.LaserPower',
    'laser power',
    io='laser_io',
)
